Loading...
Searching...
No Matches
ThreePhaseParkerVanGenuchtenParams.hpp File Reference

Specification of the material params for the three-phase van Genuchten capillary pressure model. More...

`#include <opm/material/common/EnsureFinalized.hpp>`
`#include <opm/material/common/Valgrind.hpp>`
`#include <cassert>`

Go to the source code of this file.

## Classes

class | Opm::ThreePhaseParkerVanGenuchtenParams< TraitsT >
| Specification of the material params for the three-phase van Genuchten capillary pressure model. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

Specification of the material params for the three-phase van Genuchten capillary pressure model.

In comparison to the two-phase version, this parameter object also includes the residual saturations, as their handling is very model-specific.